System 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.Guid("00000103-0000-0000-C000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

This interface enumerates an array of structures.

For more information about the IEnumFORMATETC interface, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides the managed definition of the IEnumFORMATETC interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` ``

  For more information about IEnumFORMATETC::Next, see the MSDN Library.

  Retrieves a specified number of items in the enumeration sequence.

  S_OK if the parameter equals the parameter; otherwise, S_FALSE.

  The number of references to return in . When this method returns, contains a reference to the enumerated references. This parameter is passed uninitialized. When this method returns, contains a reference to the actual number of references enumerated in . This parameter is passed uninitialized.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information about IEnumFORMATETC::Reset, see the MSDN Library.

  Resets the enumeration sequence to the beginning.

  An HRESULT with the value S_OK.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  For more information about IEnumFORMATETC::Skip, see the MSDN Library.

  Skips a specified number of items in the enumeration sequence.

  S_OK if the number of elements skipped equals the parameter; otherwise, S_FALSE.

  The number of elements to skip in the enumeration.